#!perl -p

# EIR Editorial coding to raw HTML

s/&/&amp;/g;
s/\"/&quot;/g;

# 1-, 2-, and 3-digit footnote refs
s/\@s(\d)<fu\d>/<a name="fnB$1" href="#fn$1">\[$1\]<\/a>/g;
s/\@s(\d)\@s(\d)<fu\d\d>/<a name="fnB$1$2"><\/a><a href="#fn$1$2">\[$1$2\]<\/a>/g;
s/\@s(\d)\@s(\d)\@s(\d)<fu\d\d\d>/<a name="fnB$1$2$3" href="#fn$1$2$3">\[$1$2$3\]<\/a>/g;

# footnotes
s/<jf90>//g;
s/<fo(\d+)>\d+\./<a name="fn$1"><\/a><a href="#fnB$1">\[$1\]<\/a>/g;
s/<fe//g;

# odds and ends
s/<\+>//g;
s/<\$>//g;
s/\@nh/-/g;
s/\@nd/\//g;
s/<\$//g;
s/\t/\n/g;
s/<ql/<br>/g;

# headings
s/<jf1>fmt:colwidth\d+<cm//g;
s/^ *- (.+) - *$/<h4>$1<\/h4>/ig;
s/<jf\d+?>(.*?)<cm/<h4>$1<\/h4>/ig;
s/<jf27>//g;
s/<jf\d+?>//ig;
s/<cm/<br>/ig;

# superscripts and subscripts
s/<cf11>(.*?)<cf1>/<sup>$1<\/sup>/ig;
s/\@s(\d)\@s(\d)\@s(\d)/<sup>$1$2$3<\/sup>/ig;
s/\@s(\d)\@s(\d)/<sup>$1$2<\/sup>/ig;
s/\@s(\d)/<sup>$1<\/sup>/ig;

s/<cf15>(.*?)<cf1>/<sub>$1<\/sub>/ig;
s/\@i(\d)\@i(\d)\@i(\d)/<sub>$1$2$3<\/sub>/ig;
s/\@i(\d)\@i(\d)/<sub>$1$2<\/sub>/ig;
s/\@i(\d)/<sub>$1<\/sub>/ig;

# formatting tags
s/{{/<b>/ig;
s/}}/<\/b>/ig;
s/{/<i>/ig;
s/}/<\/i>/ig;
s/<cf20>(.*?)<cf1>/<b>$1<\/b>/ig;
s/<ql/<br>/ig;

# Format all regular text paras
s/^([^<])(.*)/<p><font size="-1">$1$2<\/font><\/p>/g;
s/^(<[abi])(.*)/<p><font size="-1">$1$2<\/font><\/p>/g;

# entities
s/``/&quot;/g;
s/''/&quot;/g;
s/`/'/g;
s/[\|\^]/&nbsp;/g;
s/\@eD/&iexcl;/g;
s/\@ct/&cent;/g;
s/\@bp/&pound;/g;
s/\@cR/&curren;/g;
s/\@yn/&yen;/g;
s/\@vb/&brkbar;/g;
s/\@st/&sect;/g;
s/\@cw/&copy;/g;
s/\@oF/&ordf;/g;
s/\@Gl/&laquo;/g;
s/\@ln/&not;/g;
s/\@dh/&shy;/g;
s/\@rm/&reg;/g;
s/\@dg/&deg;/g;
s/\@pm/&plusmn;/g;
s/\@gm/&micro;/g;
s/\@pg/&para;/g;
s/\@mx/&middot;/g;
s/\@oM/&ordm;/g;
s/\@Gr/&raquo;/g;
s/\@c1/&frac14;/g;
s/\@c2/&frac12;/g;
s/\@c3/&frac34;/g;
s/\@iQ/&iquest;/g;
s/([AEIOUaeiou])\@ag/&$1grave;/g;
s/([AEIOUYaeiouy])\@aa/&$1acute;/g;
s/([AEIOUaeiou])\@af/&$1circ;/g;
s/([ANOano])\@at/&$1tilde;/g;
s/([AEIOUaeiouy])\@au/&$1uml;/g;
s/([Aa])\@ab/&$1ring;/g;
s/\@AE/&AElig;/g;
s/([Cc])\@al/&$1cedil;/g;
s/\@ts/&times;/g;
s/\@OS/&Oslash;/g;
s/\@ds/&szlig;/g;
s/\@aE/&aelig;/g;
s/\@dv/&divide;/g;
s/\@oS/&oslash;/g;
s/\@sb/*/g;
